
Installer - Feature #4454

Test and update installer for EL7

02/25/2014 05:18 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category:    

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It's likely that some modules used in the installer will not support EL7.  e.g. params classes that need updated case statements to

determine the correct packages names or behaviour for EL7 (similar to F19).

The installer (including non-default components such as git, dns, dhcp) needs testing.

pl-apache was tested briefly when Apache 2.4 support was merged upstream.

Related issues:

Related to Installer - Refactor #6015: Revert and re-enable EPEL7 GPG checking Resolved 06/02/2014

Blocks Foreman - Tracker #4447: Support installation on RHEL 7 Closed 02/25/2014

Associated revisions

Revision fadf50ac - 07/08/2014 04:39 AM - Dominic Cleal

refs #4454 - configure Puppet path correctly on EL7

Revision e95c4e87 - 07/08/2014 04:39 AM - Dominic Cleal

refs #4454 - temporarily disable GPG checking on EPEL7

Revision c3ca8bd2 - 07/08/2014 04:45 AM - Dominic Cleal

fixes #4454 - switch PostgreSQL module to latest for EL7 support

History

#1 - 02/25/2014 05:20 PM - Dominic Cleal

- Blocks Tracker #4447: Support installation on RHEL 7 added

#2 - 05/09/2014 11:47 AM - Dominic Cleal

pl-postgresql is undergoing a lot of work (by Ash Penney) to support systemd & RHEL 7.

#3 - 06/02/2014 02:59 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

pl-postgresql master works, waiting on a release.

https://github.com/theforeman/puppet-foreman/pull/195 has updates for reports & EPEL7.

#4 - 06/02/2014 03:46 PM - Dominic Cleal

- Related to Refactor #6015: Revert and re-enable EPEL7 GPG checking added

#5 - 06/06/2014 09:51 AM - Dominic Cleal

- translation missing: en.field_release set to 10
#6 - 06/23/2014 07:43 AM - Dominic Cleal

DHCP, DNS and git modules seem to work OK.

#7 - 07/08/2014 04:49 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.0

https://github.com/theforeman/foreman-installer/pull/123

#8 - 07/08/2014 07:03 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c3ca8bd2ccd7901025f97600f22e101496c9d7f9.
